%%
%% This is a modified `article.cls' version,
%% LaTeX-Template for "ITZ-Berichte"
%%
%% Copyright 1993 1994 1995 1996 1997 1998 1999 2000 2001
%% The LaTeX3 Project and any individual authors listed elsewhere
%% in this file.
%%
%% Modifications 2003 Technical University Clausthal
%%
%% It may be distributed and/or modified under the
%% conditions of the LaTeX Project Public License, either version 1.2
%% of this license or (at your option) any later version.
%% The latest version of this license is in
%%    http://www.latex-project.org/lppl.txt
%% and version 1.2 or later is part of all distributions of LaTeX
%% version 1999/12/01 or later.
%%
%%
%% \CharacterTable
%%  {Upper-case    \A\B\C\D\E\F\G\H\I\J\K\L\M\N\O\P\Q\R\S\T\U\V\W\X\Y\Z
%%   Lower-case    \a\b\c\d\e\f\g\h\i\j\k\l\m\n\o\p\q\r\s\t\u\v\w\x\y\z
%%   Digits        \0\1\2\3\4\5\6\7\8\9
%%   Exclamation   \!     Double quote  \"     Hash (number) \#
%%   Dollar        \$     Percent       \%     Ampersand     \&
%%   Acute accent  \'     Left paren    \(     Right paren   \)
%%   Asterisk      \*     Plus          \+     Comma         \,
%%   Minus         \-     Point         \.     Solidus       \/
%%   Colon         \:     Semicolon     \;     Less than     \<
%%   Equals        \=     Greater than  \>     Question mark \?
%%   Commercial at \@     Left bracket  \[     Backslash     \\
%%   Right bracket \]     Circumflex    \^     Underscore    \_
%%   Grave accent  \`     Left brace    \{     Vertical bar  \|
%%   Right brace   \}     Tilde         \~}
\NeedsTeXFormat{LaTeX2e}[1995/12/01]
\ProvidesClass{fac3report}
              [2010/01/15 v1.1 Modified LaTeX document class for Faculty 3 Technical Reports]

\RequirePackage{stonesans}
\RequirePackage{stoneserif}
\RequirePackage{times}
\RequirePackage{graphicx}
\RequirePackage{url}
\RequirePackage{color}
\RequirePackage[a4paper]{hyperref}
\RequirePackage[T1]{fontenc}

\renewcommand{\rmdefault}{pst}
\renewcommand{\sfdefault}{ps8}
\renewcommand{\bfdefault}{sb}

\ifx\pdftexversion\@undefined
	% latex is used
	\gdef\@@imagesuffix{eps}
\else
	% pdflatex is used
	\gdef\@@imagesuffix{png}
\fi


\newcommand\@ptsize{}
\newif\if@restonecol
\newif\if@titlepage

%%% Paper Size
\setlength\paperheight {297mm}
\setlength\paperwidth  {210mm}
\special{papersize=210mm,297mm}%

%% L�ngen
\def\obererRand {26mm}
\def\untererRand {36mm}
\def\linkerRand {25mm}
\def\rechterRand {30mm}

%% 10pt Mode
\renewcommand\@ptsize{0}

%% Final or Draft Mode
\DeclareOption{draft}{\setlength\overfullrule{5pt}}
\if@compatibility\else
\DeclareOption{final}{\setlength\overfullrule{0pt}}
\fi

%% No Title Page
\@titlepagefalse

%% One Side Mode - off
%%\@twosidefalse \@mparswitchfalse

%% Two Side Mode
\@twosidetrue %\@mparswitchfalse

%% One Column Mode
\@twocolumnfalse

%% Equations
\DeclareOption{leqno}{\input{leqno.clo}}
\DeclareOption{fleqn}{\input{fleqn.clo}}

\DeclareOption{openbib}{%
  \AtEndOfPackage{%
   \renewcommand\@openbib@code{%
      \advance\leftmargin\bibindent
      \itemindent -\bibindent
      \listparindent \itemindent
      \parsep \z@
      }%
   \renewcommand\newblock{\par}}%
}

\ExecuteOptions{oneside,final}
\ProcessOptions

%% Input 10pt File ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
%\renewcommand{\rmdefault}{pst}
%\renewcommand{\sfdefault}{ps8}
%\renewcommand{\bfdefault}{sb}


%% Fontsize-Definitions
\renewcommand\normalsize{%
   \@setfontsize\normalsize\@xpt\@xiipt
   \abovedisplayskip 10\p@ \@plus2\p@ \@minus5\p@
   \abovedisplayshortskip \z@ \@plus3\p@
   \belowdisplayshortskip 6\p@ \@plus3\p@ \@minus3\p@
   \belowdisplayskip \abovedisplayskip
   \let\@listi\@listI}
\normalsize
\newcommand\small{%
   \@setfontsize\small\@ixpt{11}%
   \abovedisplayskip 8.5\p@ \@plus3\p@ \@minus4\p@
   \abovedisplayshortskip \z@ \@plus2\p@
   \belowdisplayshortskip 4\p@ \@plus2\p@ \@minus2\p@
   \def\@listi{\leftmargin\leftmargini
               \topsep 4\p@ \@plus2\p@ \@minus2\p@
               \parsep 2\p@ \@plus\p@ \@minus\p@
               \itemsep \parsep}%
   \belowdisplayskip \abovedisplayskip
}
\newcommand\footnotesize{%
   \@setfontsize\footnotesize\@viiipt{9.5}%
   \abovedisplayskip 6\p@ \@plus2\p@ \@minus4\p@
   \abovedisplayshortskip \z@ \@plus\p@
   \belowdisplayshortskip 3\p@ \@plus\p@ \@minus2\p@
   \def\@listi{\leftmargin\leftmargini
               \topsep 3\p@ \@plus\p@ \@minus\p@
               \parsep 2\p@ \@plus\p@ \@minus\p@
               \itemsep \parsep}%
   \belowdisplayskip \abovedisplayskip
}
\newcommand\scriptsize{\@setfontsize\scriptsize\@viipt\@viiipt}
\newcommand\tiny{\@setfontsize\tiny\@vpt\@vipt}
\newcommand\large{\@setfontsize\large\@xiipt{14}}
\newcommand\Large{\@setfontsize\Large\@xivpt{18}}
\newcommand\LARGE{\@setfontsize\LARGE\@xviipt{22}}
\newcommand\huge{\@setfontsize\huge\@xxpt{25}}
\newcommand\Huge{\@setfontsize\Huge\@xxvpt{30}}

%% Skips
\setlength\smallskipamount{3\p@ \@plus 1\p@ \@minus 1\p@}
\setlength\medskipamount{6\p@ \@plus 2\p@ \@minus 2\p@}
\setlength\bigskipamount{12\p@ \@plus 4\p@ \@minus 4\p@}

\gdef\@@InitializePageDimensions{
	%% Topmargin
	\setlength\topmargin{5mm}
	\addtolength\topmargin{-1in}
	\@settopoint\topmargin

	%% Header
	\setlength\headheight{2\baselineskip}  %% 12\p@
	\@settopoint\headheight
	\setlength\headsep {\obererRand}
	\addtolength\headsep {-\topmargin}
	\addtolength\headsep {- \headheight}   %% 25\p@
	\addtolength\headsep {-1in}
	\@settopoint\headsep

	%% Topskip
	\setlength\topskip {10\p@}

	%% Maxdepth
	\setlength\maxdepth {.5\topskip}
	\@settopoint\maxdepth

	%% Sidemargins
	\setlength\oddsidemargin    {\linkerRand}
	\addtolength\oddsidemargin  {-1in}
	\@settopoint\oddsidemargin
	\setlength\evensidemargin   {\linkerRand}
	\addtolength\evensidemargin {-1in}
	\@settopoint\evensidemargin

	%% Textwidth
	\setlength\textwidth {\paperwidth}
	\addtolength\textwidth {-\linkerRand}
	\addtolength\textwidth {-\linkerRand}
	\@settopoint\textwidth

	%% Textheight
	\setlength\@tempdima{\paperheight}
	\addtolength\@tempdima{-\obererRand}
	\addtolength\@tempdima{-\untererRand}
	%\addtolength\@tempdima{-1.5in}
	\divide\@tempdima\baselineskip
	\@tempcnta=\@tempdima
	%\addtolength\@tempcnta{-1}
	\setlength\textheight{\@tempcnta\baselineskip}
	\addtolength\textheight{\topskip}
	\@settopoint\textheight

	%% Margin
	\setlength\marginparsep{11\p@}
	\setlength\marginparpush{5\p@}
	\setlength\@tempdima        {\paperwidth}
	\addtolength\@tempdima      {-\textwidth}
	\setlength\marginparwidth   {.5\@tempdima}
	\addtolength\marginparwidth {-\marginparsep}
	\addtolength\marginparwidth {-0.4in}
	\addtolength\marginparwidth {-.4in}
	\ifdim \marginparwidth >2in
	   \setlength\marginparwidth{2in}
	\fi

	%% Footskip
	\setlength\footskip {\paperheight}   %% 30\p@
	\addtolength\footskip {-\untererRand}
	\addtolength\footskip {-\textheight}
	\addtolength\footskip {-\headsep}
	\addtolength\footskip {-\headheight}
	\addtolength\footskip {-\topmargin}
	\@settopoint\footskip

	%% Paragraph
	\setlength\parindent{4mm}

	%% Misc
	\setlength\footnotesep{6.65\p@}
	\setlength{\skip\footins}{9\p@ \@plus 4\p@ \@minus 2\p@}
	\setlength\floatsep    {12\p@ \@plus 2\p@ \@minus 2\p@}
	\setlength\textfloatsep{20\p@ \@plus 2\p@ \@minus 4\p@}
	\setlength\intextsep   {12\p@ \@plus 2\p@ \@minus 2\p@}
	\setlength\dblfloatsep    {12\p@ \@plus 2\p@ \@minus 2\p@}
	\setlength\dbltextfloatsep{20\p@ \@plus 2\p@ \@minus 4\p@}
	\setlength\@fptop{0\p@ \@plus 1fil}
	\setlength\@fpsep{8\p@ \@plus 2fil}
	\setlength\@fpbot{0\p@ \@plus 1fil}
	\setlength\@dblfptop{0\p@ \@plus 1fil}
	\setlength\@dblfpsep{8\p@ \@plus 2fil}
	\setlength\@dblfpbot{0\p@ \@plus 1fil}
	\setlength\partopsep{2\p@ \@plus 1\p@ \@minus 1\p@}
	\def\@listi{\leftmargin\leftmargini
		    \parsep 4\p@ \@plus2\p@ \@minus\p@
		    \topsep 8\p@ \@plus2\p@ \@minus4\p@
		    \itemsep4\p@ \@plus2\p@ \@minus\p@}
	\let\@listI\@listi
	\@listi
	\def\@listii {\leftmargin\leftmarginii
		      \labelwidth\leftmarginii
		      \advance\labelwidth-\labelsep
		      \topsep    4\p@ \@plus2\p@ \@minus\p@
		      \parsep    2\p@ \@plus\p@  \@minus\p@
		      \itemsep   \parsep}
	\def\@listiii{\leftmargin\leftmarginiii
		      \labelwidth\leftmarginiii
		      \advance\labelwidth-\labelsep
		      \topsep    2\p@ \@plus\p@\@minus\p@
		      \parsep    \z@
		      \partopsep \p@ \@plus\z@ \@minus\p@
		      \itemsep   \topsep}
	\def\@listiv {\leftmargin\leftmarginiv
		      \labelwidth\leftmarginiv
		      \advance\labelwidth-\labelsep}
	\def\@listv  {\leftmargin\leftmarginv
		      \labelwidth\leftmarginv
		      \advance\labelwidth-\labelsep}
	\def\@listvi {\leftmargin\leftmarginvi
		      \labelwidth\leftmarginvi
		      \advance\labelwidth-\labelsep}
	\global\hsize\textwidth
	\global\linewidth\hsize
	\global\columnwidth\hsize
}

%% ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

%% Parskip
\setlength\parskip{0\p@ \@plus \p@}

\setlength\lineskip{1\p@}
\setlength\normallineskip{1\p@}
\renewcommand\baselinestretch{}
\@lowpenalty   51
\@medpenalty  151
\@highpenalty 301
\setcounter{topnumber}{2}
\renewcommand\topfraction{.7}
\setcounter{bottomnumber}{1}
\renewcommand\bottomfraction{.3}
\setcounter{totalnumber}{3}
\renewcommand\textfraction{.2}
\renewcommand\floatpagefraction{.5}
\setcounter{dbltopnumber}{2}
\renewcommand\dbltopfraction{.7}
\renewcommand\dblfloatpagefraction{.5}

%% Headings
\def\ps@headings{%
    \def\@oddfoot{\thepage\hfill\slshape Technical Report}% \thereportnumber}
    \def\@evenfoot{{\slshape\MakeUppercase{Faculty 3}}\hfill\thepage}
    \def\@evenhead{%
    		%\vbox{%
		\rlap{%
			\raisebox{4mm}{\@includeimage{height=4mm}{Logo_TUC_de_Web_klein}}%
		}%
		%	\footnotesize
%		{\slshape\MakeUppercase\thetitle}
		\hfill
    }%
    %\def\@evenhead{\thepage\hfil{\slshape\theauthor}}%
    \def\@oddhead{%\hfill{\slshape\thelastsection}
    }
    \let\@mkboth\markboth
    \def\sectionmark##1{%
      \markboth{\thetitle}{umpa umpa}}}

%% Maketitle
\if@titlepage
  \newcommand\maketitle{
  \begin{titlepage}%
  \let\footnotesize\small
  \let\footnoterule\relax
  \let \footnote \thanks
  \null\vfil
  \vskip 60\p@
  \begin{center}%
    {\LARGE \@title \par}%
    \vskip 3em%
    {\large
     \lineskip .75em%
      \begin{tabular}[t]{c}%
        \@author
      \end{tabular}\par}%
      \vskip 1.5em%
    {\large \@date \par}%       % Set date in \large size.
  \end{center}\par
  \@thanks
  \vfil\null
  \end{titlepage}%
  \setcounter{footnote}{0}%
%  \global\let\thetitle\@title
%  \global\let\theauthor\@author
  \global\let\thanks\relax
  \global\let\maketitle\relax
  \global\let\@thanks\@empty
  \global\let\@author\@empty
  \global\let\@date\@empty
  \global\let\@title\@empty
  \global\let\title\relax
  \global\let\author\relax
  \global\let\date\relax
  \global\let\and\relax
}
\else
\renewcommand\maketitle{\par
  \begingroup
    \renewcommand\thefootnote{\@fnsymbol\c@footnote}%
    \def\@makefnmark{\rlap{\@textsuperscript{\normalfont\@thefnmark}}}%
    \long\def\@makefntext##1{\parindent 1em\noindent
            \hb@xt@1.8em{%
                \hss\@textsuperscript{\normalfont\@thefnmark}}##1}%
    \if@twocolumn
      \ifnum \col@number=\@ne
        \@maketitle
      \else
        \twocolumn[\@maketitle]%
      \fi
    \else
      \newpage
      \global\@topnum\z@   % Prevents figures from going at top of page.
      \@maketitle
    \fi
    \thispagestyle{plain}\@thanks
  \endgroup
  \setcounter{footnote}{0}%
%  \global\let\thetitle\@title
%  \global\let\theauthor\@author
  \global\let\thanks\relax
  \global\let\maketitle\relax
  \global\let\@maketitle\relax
  \global\let\@thanks\@empty
  \global\let\@author\@empty
  \global\let\@date\@empty
  \global\let\@title\@empty
  \global\let\title\relax
  \global\let\author\relax
  \global\let\date\relax
  \global\let\and\relax
  \global\let\@address\relax
}

%% Adresse
\def\@address{}
\newcommand{\address}[1]{\def\@address{#1}}

%% Running headings
\newcommand{\titlerunning}[1]{
  \gdef\thetitle{#1} }
\newcommand{\authorrunning}[1]{
  \gdef\theauthor{#1} }
\newcommand{\reportnumber}[1]{
  \gdef\thereportnumber{#1} }
\newcommand{\theyear}[1]{
  \gdef\theyear{#1} }
\newcommand{\themonth}[1]{
  \gdef\themonth{#1} }

%% @Maketitle
\def\@maketitle{%
  \newpage
  \null
  \vskip 2em%
  \begin{center}%
  \let \footnote \thanks
    {\Large \@title \par}%
    \vskip 1.5em%
    {\normalsize
      \lineskip .5em%
      \begin{tabular}[t]{c}%
        \@author
      \end{tabular}\par}%
    \vskip 1em%
    {\small  \@address }
    %%{\large \@date}%
  \end{center}%
  \par
  \vskip 1.5em}
\fi

%% Gliederung
\setcounter{secnumdepth}{3}
\newcounter {part}
\newcounter {section}
\newcounter {subsection}[section]
\newcounter {subsubsection}[subsection]
\newcounter {paragraph}[subsubsection]
\newcounter {subparagraph}[paragraph]
\renewcommand \thepart {\@Roman\c@part}
\renewcommand \thesection {\@arabic\c@section}
\renewcommand\thesubsection   {\thesection.\@arabic\c@subsection}
\renewcommand\thesubsubsection{\thesubsection .\@arabic\c@subsubsection}
\renewcommand\theparagraph    {\thesubsubsection.\@arabic\c@paragraph}
\renewcommand\thesubparagraph {\theparagraph.\@arabic\c@subparagraph}

\newcommand\part{%
   \if@noskipsec \leavevmode \fi
   \par
   \addvspace{4ex}%
   \@afterindentfalse
   \secdef\@part\@spart}

\def\@part[#1]#2{%
    \ifnum \c@secnumdepth >\m@ne
      \refstepcounter{part}%
      \addcontentsline{toc}{part}{\thepart\hspace{1em}#1}%
    \else
      \addcontentsline{toc}{part}{#1}%
    \fi
    {\parindent \z@ \raggedright
     \interlinepenalty \@M
     \normalfont
     \ifnum \c@secnumdepth >\m@ne
       \Large\bfseries \partname\nobreakspace\thepart
       \par\nobreak
     \fi
     \huge \bfseries #2%
     \markboth{}{}\par}%
    \nobreak
    \vskip 3ex
    \@afterheading}
\def\@spart#1{%
    {\parindent \z@ \raggedright
     \interlinepenalty \@M
     \normalfont
     \huge \bfseries #1\par}%
     \nobreak
     \vskip 3ex
     \@afterheading}

\newcommand\section{\@startsection {section}{1}{\z@}%
                                   {-3.5ex \@plus -1ex \@minus -.2ex}%
                                   {2.3ex \@plus.2ex}%
                                   {\normalfont\Large\bfseries}}
\newcommand\subsection{\@startsection{subsection}{2}{\z@}%
                                     {-3.25ex\@plus -1ex \@minus -.2ex}%
                                     {1.5ex \@plus .2ex}%
                                     {\normalfont\large\bfseries}}
\newcommand\subsubsection{\@startsection{subsubsection}{3}{\z@}%
                                     {-3.25ex\@plus -1ex \@minus -.2ex}%
                                     {1.5ex \@plus .2ex}%
                                     {\normalfont\normalsize\bfseries}}
\newcommand\paragraph{\@startsection{paragraph}{4}{\z@}%
                                    {3.25ex \@plus1ex \@minus.2ex}%
                                    {-1em}%
                                    {\normalfont\normalsize\bfseries}}
\newcommand\subparagraph{\@startsection{subparagraph}{5}{\parindent}%
                                       {3.25ex \@plus1ex \@minus .2ex}%
                                       {-1em}%
                                      {\normalfont\normalsize\bfseries}}

\if@twocolumn
  \setlength\leftmargini  {2em}
\else
  \setlength\leftmargini  {2.5em}
\fi
\leftmargin  \leftmargini
\setlength\leftmarginii  {2.2em}
\setlength\leftmarginiii {1.87em}
\setlength\leftmarginiv  {1.7em}
\if@twocolumn
  \setlength\leftmarginv  {.5em}
  \setlength\leftmarginvi {.5em}
\else
  \setlength\leftmarginv  {1em}
  \setlength\leftmarginvi {1em}
\fi
\setlength  \labelsep  {.5em}
\setlength  \labelwidth{\leftmargini}
\addtolength\labelwidth{-\labelsep}
\@beginparpenalty -\@lowpenalty
\@endparpenalty   -\@lowpenalty
\@itempenalty     -\@lowpenalty
\renewcommand\theenumi{\@arabic\c@enumi}
\renewcommand\theenumii{\@alph\c@enumii}
\renewcommand\theenumiii{\@roman\c@enumiii}
\renewcommand\theenumiv{\@Alph\c@enumiv}
\newcommand\labelenumi{\theenumi.}
\newcommand\labelenumii{(\theenumii)}
\newcommand\labelenumiii{\theenumiii.}
\newcommand\labelenumiv{\theenumiv.}
\renewcommand\p@enumii{\theenumi}
\renewcommand\p@enumiii{\theenumi(\theenumii)}
\renewcommand\p@enumiv{\p@enumiii\theenumiii}
\newcommand\labelitemi{\textbullet}
\newcommand\labelitemii{\normalfont\bfseries \textendash}
\newcommand\labelitemiii{\textasteriskcentered}
\newcommand\labelitemiv{\textperiodcentered}

%% Description Environment
\newenvironment{description}
               {\list{}{\labelwidth\z@ \itemindent-\leftmargin
                        \let\makelabel\descriptionlabel}}
               {\endlist}
\newcommand*\descriptionlabel[1]{\hspace\labelsep
                                \normalfont\bfseries #1}

%% Abstract
\if@titlepage
  \newenvironment{abstract}{%
      %\titlepage
      \null\vfil
      \@beginparpenalty\@lowpenalty
      \begin{center}%
        \bfseries \abstractname
        \@endparpenalty\@M
      \end{center}}%
     {\par\vfil\null\endtitlepage}
\else
  \newenvironment{abstract}{%
      \if@twocolumn
        \section*{\abstractname}%
      \else
        \small
        \begin{center}%
          {\bfseries \abstractname\vspace{-.5em}\vspace{\z@}}%
        \end{center}%
        \quotation
      \fi}
      {\if@twocolumn\else\endquotation\fi}
\fi

%% Verse Environment
\newenvironment{verse}
               {\let\\\@centercr
                \list{}{\itemsep      \z@
                        \itemindent   -1.5em%
                        \listparindent\itemindent
                        \rightmargin  \leftmargin
                        \advance\leftmargin 1.5em}%
                \item\relax}
               {\endlist}

%% Quotation Environment
\newenvironment{quotation}
               {\list{}{\listparindent 0em  %%1.5em%
                        \itemindent    \listparindent
                        \rightmargin   \leftmargin
                        \parsep        \z@ \@plus\p@}%
                \item\relax}
               {\endlist}

%% Quote Environment
\newenvironment{quote}
               {\list{}{\rightmargin\leftmargin}%
                \item\relax}
               {\endlist}

%% Titlepage
\if@compatibility
\newenvironment{titlepage}
    {%
      \if@twocolumn
        \@restonecoltrue\onecolumn
      \else
        \@restonecolfalse\newpage
      \fi
      \thispagestyle{empty}%
      \setcounter{page}\z@
    }%
    {\if@restonecol\twocolumn \else \newpage \fi
    }
\else
\newenvironment{titlepage}
    {%
      \if@twocolumn
        \@restonecoltrue\onecolumn
      \else
        \@restonecolfalse\newpage
      \fi
      \thispagestyle{empty}%
      \setcounter{page}\@ne
    }%
    {\if@restonecol\twocolumn \else \newpage \fi
     \if@twoside\else
        \setcounter{page}\@ne
     \fi
    }
\fi

%% Appendix
\renewcommand\appendix{\par
  \setcounter{section}{0}%
  \setcounter{subsection}{0}%
  \gdef\thesection{\@Alph\c@section}}

\setlength\arraycolsep{5\p@}
\setlength\tabcolsep{6\p@}
\setlength\arrayrulewidth{.4\p@}
\setlength\doublerulesep{2\p@}
\setlength\tabbingsep{\labelsep}
\skip\@mpfootins = \skip\footins
\setlength\fboxsep{3\p@}
\setlength\fboxrule{.4\p@}
\renewcommand \theequation {\@arabic\c@equation}
\newcounter{figure}
\renewcommand \thefigure {\@arabic\c@figure}
\def\fps@figure{tbp}
\def\ftype@figure{1}
\def\ext@figure{lof}
\def\fnum@figure{\figurename\nobreakspace\thefigure}
\newenvironment{figure}
               {\@float{figure}}
               {\end@float}
\newenvironment{figure*}
               {\@dblfloat{figure}}
               {\end@dblfloat}
\newcounter{table}
\renewcommand\thetable{\@arabic\c@table}
\def\fps@table{tbp}
\def\ftype@table{2}
\def\ext@table{lot}
\def\fnum@table{\tablename\nobreakspace\thetable}
\newenvironment{table}
               {\@float{table}}
               {\end@float}
\newenvironment{table*}
               {\@dblfloat{table}}
               {\end@dblfloat}
\newlength\abovecaptionskip
\newlength\belowcaptionskip
\setlength\abovecaptionskip{10\p@}
\setlength\belowcaptionskip{0\p@}
\long\def\@makecaption#1#2{%
  \vskip\abovecaptionskip
  \sbox\@tempboxa{#1: #2}%
  \ifdim \wd\@tempboxa >\hsize
    #1: #2\par
  \else
    \global \@minipagefalse
    \hb@xt@\hsize{\hfil\box\@tempboxa\hfil}%
  \fi
  \vskip\belowcaptionskip}
\DeclareOldFontCommand{\rm}{\normalfont\rmfamily}{\mathrm}
\DeclareOldFontCommand{\sf}{\normalfont\sffamily}{\mathsf}
\DeclareOldFontCommand{\tt}{\normalfont\ttfamily}{\mathtt}
\DeclareOldFontCommand{\bf}{\normalfont\bfseries}{\mathbf}
\DeclareOldFontCommand{\it}{\normalfont\itshape}{\mathit}
\DeclareOldFontCommand{\sl}{\normalfont\slshape}{\@nomath\sl}
\DeclareOldFontCommand{\sc}{\normalfont\scshape}{\@nomath\sc}
\DeclareRobustCommand*\cal{\@fontswitch\relax\mathcal}
\DeclareRobustCommand*\mit{\@fontswitch\relax\mathnormal}
\newcommand\@pnumwidth{1.55em}
\newcommand\@tocrmarg{2.55em}
\newcommand\@dotsep{4.5}
\setcounter{tocdepth}{3}
\newcommand\tableofcontents{%
    \section*{\contentsname
        \@mkboth{%
           \MakeUppercase\contentsname}{\MakeUppercase\contentsname}}%
    \@starttoc{toc}%
    }
\newcommand*\l@part[2]{%
  \ifnum \c@tocdepth >-2\relax
    \addpenalty\@secpenalty
    \addvspace{2.25em \@plus\p@}%
    \setlength\@tempdima{3em}%
    \begingroup
      \parindent \z@ \rightskip \@pnumwidth
      \parfillskip -\@pnumwidth
      {\leavevmode
       \large \bfseries #1\hfil \hb@xt@\@pnumwidth{\hss #2}}\par
       \nobreak
       \if@compatibility
         \global\@nobreaktrue
         \everypar{\global\@nobreakfalse\everypar{}}%
      \fi
    \endgroup
  \fi}
\newcommand*\l@section[2]{%
  \ifnum \c@tocdepth >\z@
    \addpenalty\@secpenalty
    \addvspace{1.0em \@plus\p@}%
    \setlength\@tempdima{1.5em}%
    \begingroup
      \parindent \z@ \rightskip \@pnumwidth
      \parfillskip -\@pnumwidth
      \leavevmode \bfseries
      \advance\leftskip\@tempdima
      \hskip -\leftskip
      #1\nobreak\hfil \nobreak\hb@xt@\@pnumwidth{\hss #2}\par
    \endgroup
  \fi}
\newcommand*\l@subsection{\@dottedtocline{2}{1.5em}{2.3em}}
\newcommand*\l@subsubsection{\@dottedtocline{3}{3.8em}{3.2em}}
\newcommand*\l@paragraph{\@dottedtocline{4}{7.0em}{4.1em}}
\newcommand*\l@subparagraph{\@dottedtocline{5}{10em}{5em}}
\newcommand\listoffigures{%
    \section*{\listfigurename}%
      \@mkboth{\MakeUppercase\listfigurename}%
              {\MakeUppercase\listfigurename}%
    \@starttoc{lof}%
    }
\newcommand*\l@figure{\@dottedtocline{1}{1.5em}{2.3em}}
\newcommand\listoftables{%
    \section*{\listtablename}%
      \@mkboth{%
          \MakeUppercase\listtablename}%
         {\MakeUppercase\listtablename}%
    \@starttoc{lot}%
    }
\let\l@table\l@figure
\newdimen\bibindent
\setlength\bibindent{1.5em}
\newenvironment{thebibliography}[1]
     {\section*{\refname}%
      \@mkboth{\MakeUppercase\refname}{\MakeUppercase\refname}%
      \list{\@biblabel{\@arabic\c@enumiv}}%
           {\settowidth\labelwidth{\@biblabel{#1}}%
            \leftmargin\labelwidth
            \advance\leftmargin\labelsep
            \@openbib@code
            \usecounter{enumiv}%
            \let\p@enumiv\@empty
            \renewcommand\theenumiv{\@arabic\c@enumiv}}%
      \sloppy
      \clubpenalty4000
      \@clubpenalty \clubpenalty
      \widowpenalty4000%
      \sfcode`\.\@m}
     {\def\@noitemerr
       {\@latex@warning{Empty `thebibliography' environment}}%
      \endlist}
\newcommand\newblock{\hskip .11em\@plus.33em\@minus.07em}
\let\@openbib@code\@empty
\newenvironment{theindex}
               {\if@twocolumn
                  \@restonecolfalse
                \else
                  \@restonecoltrue
                \fi
                \columnseprule \z@
                \columnsep 35\p@
                \twocolumn[\section*{\indexname}]%
                \@mkboth{\MakeUppercase\indexname}%
                        {\MakeUppercase\indexname}%
                \thispagestyle{plain}\parindent\z@
                \parskip\z@ \@plus .3\p@\relax
                \let\item\@idxitem}
               {\if@restonecol\onecolumn\else\clearpage\fi}
\newcommand\@idxitem{\par\hangindent 40\p@}
\newcommand\subitem{\@idxitem \hspace*{20\p@}}
\newcommand\subsubitem{\@idxitem \hspace*{30\p@}}
\newcommand\indexspace{\par \vskip 10\p@ \@plus5\p@ \@minus3\p@\relax}
\renewcommand\footnoterule{%
 \kern-3\p@
  \hrule\@width.4\columnwidth
  \kern2.6\p@}
\newcommand\@makefntext[1]{%
    \parindent 1em%
    \noindent
    \hb@xt@1.8em{\hss\@makefnmark}#1}
\newcommand\contentsname{Contents}
\newcommand\listfigurename{List of Figures}
\newcommand\listtablename{List of Tables}
\newcommand\refname{References}
\newcommand\indexname{Index}
\newcommand\figurename{Figure}
\newcommand\tablename{Table}
\newcommand\partname{Part}
\newcommand\appendixname{Appendix}
\newcommand\abstractname{Abstract}
\def\today{\ifcase\month\or
  January\or February\or March\or April\or May\or June\or
  July\or August\or September\or October\or November\or December\fi
  \space\number\day, \number\year}
\setlength\columnsep{10\p@}
\setlength\columnseprule{0\p@}
\pagestyle{plain}
\pagenumbering{arabic}
\if@twoside
\else
  \raggedbottom
\fi
\if@twocolumn
  \twocolumn
  \sloppy
  \flushbottom
\else
  \onecolumn
\fi

%% Additional definitions ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
\newcommand{\institute}[1]{\thanks{#1}}
%%\def\and{{,\ }}

%% Times Font
%\usepackage{times}

% Settings for color package
%%% Color theme
% Handling for xcolor package
%\xglobal\definecolor[named]{tucgreen}{RGB}{0,140,79}
%\xglobal\definecolor[named]{tucgrey50}{RGB}{128,128,128}
%\xglobal\definecolor[named]{tucgrey10}{RGB}{230,230,230}
%\xglobal\definecolor[named]{tucred}{RGB}{140,28,0}
\definecolor{tucgreen}{RGB}{0,140,79}
\definecolor{tucgrey50}{RGB}{128,128,128}
\definecolor{tucgrey10}{RGB}{230,230,230}
\definecolor{tucred}{RGB}{140,28,0}



% Produces the automatic file name extension
\newcommand{\imgext}[1]{%
        #1.\@@imagesuffix%
	}
	

% Raw logo inclusion according to compiler
\newcommand{\@includeimage}[2]{%
        \includegraphics[#1]{\imgext{#2}}
}

%%% \fac3maketitle
% Explicitly enter the vertical mode
\newcommand{\vmode}{\vskip\z@}

% Explicitly enter the horizontal mode
\newcommand{\hmode}{\hskip\z@}

\def\@@techrepcaption{Technical Report Series}

\newbox\@@tmpbox
\newbox\@@tblcaptionbox
\newdimen\@@logosquareheight
\newdimen\@@tmpdimen
\newdimen\rightstripwidth
\newdimen\titleimageside
\newdimen\@@reallogoheight
\@@logosquareheight24mm
\rightstripwidth12mm
\def\fac3maketitle{%
        \begingroup%
	%{%
		\ignorespaces%
                %\let\centering\@titlecentering%
		\setlength{\paperwidth}{210mm}%
		\setlength{\paperheight}{297mm}%
                \setcounter{page}{0}%
                \thispagestyle{empty}%
                \fontsize{10pt}{0pt}\selectfont%
                \parskip\z@%
                \hoffset-1in%
                \textwidth\paperwidth%
		\textheight\paperheight%
                \voffset-1in%
                \topmargin\z@%
                \headheight\z@%
                \headsep\z@%
                \footskip\z@%
                \leftskip\z@%
                \rightskip\z@%
                \vsize\paperheight%
                \hsize\paperwidth%
		\oddsidemargin\z@%
		\evensidemargin\z@%
                \special{papersize=210mm,297mm}%
		\parindent\z@%
		\topskip\z@%
		\marginparsep\z@%
		\marginparwidth\z@%
		\marginparpush\z@%
                %\special{papersize=595pt,842pt}
                %
                \clearpage%
                \vbox {%
                        %\hmode%
                        %\vskip 19mm plus 0pt minus 0pt%
                        %\@@logoheight\number\titlelogoheight%
                        \setbox\@@tblcaptionbox=\hbox{\@includeimage{width=130mm}{Logo_TUC_en_RGB}}%
                        %\setbox\@@tmpbox=\hbox{%
                        %	\box\@@tblcaptionbox%
                        %}%
			\@@reallogoheight\ht\@@tblcaptionbox%
			%%% calculate the title image side
                        \@@tmpdimen\paperwidth%
                        \advance\@@tmpdimen-\rightstripwidth%
			\advance\@@tmpdimen-\@@logosquareheight% aligning the image exactly to the logo border line
			\titleimageside\@@tmpdimen
			%%%%
                        \@@tmpdimen\textwidth\advance\@@tmpdimen-\wd\@@tblcaptionbox%
%%% TUC logo title page                        
			\hbox{%
				\box\@@tblcaptionbox%
				\color{tucgrey10}%
				\advance\@@tmpdimen-\rightstripwidth%
				\hskip\@@tmpdimen%
				\@@tmpdimen\paperheight%
				\advance\@@tmpdimen-\@@reallogoheight%
				\raisebox{-\@@tmpdimen}[\z@][\z@]{%
					\vrule height \paperheight width \rightstripwidth%
				}%
			}
%%% title text
                        \par%
                        \color{black}%
                        \@@tmpdimen\paperheight%
                        \advance\@@tmpdimen-\@@reallogoheight%
                        \advance\@@tmpdimen-\titleimageside%
                        \vbox to \@@tmpdimen{%
                                \vfill%
                                %\@@tmpdimen\paperwidth%
                                %\advance\@@tmpdimen-\rightstripwidth%
                                %\advance\@@tmpdimen-\titleimageside%
                                \hskip\@@logosquareheight%
				\@@tmpdimen\titleimageside\advance\@@tmpdimen-5mm%
                                \parbox[t]{\@@tmpdimen}{\vbox{\@maketitlesbox}}%
                        }%
                        \vfill%
                        %\hbox{%
                        %        \@@tmpdimen\paperwidth%
                        %        \advance\@@tmpdimen-\rightstripwidth%
                        %        \hskip\@@tmpdimen%
                        %        \llap{%
                        %                %\includegraphics[height=\titleimageside,width=\titleimageside]{report_cover_fac3_large.png}%
                        %        }%
                        %}%
%			\hskip\@@logosquareheight%
%                        \@includeimage{height=\titleimageside,width=\titleimageside}{report_cover_fac3_large}%
                }%
                %
                \newpage%
        %}
	\endgroup%
        %\@initPageDimensions%
        %\BParaBegin%
}%
% Constructs the titles box
\newcommand{\@maketitlesbox}[0]{%
        %\vbox{%
		\raggedright
		\parindent\z@%
                \sffamily\bfseries\upshape\fontsize{26}{19.5}\selectfont%
                \@xTitleOne%
                \vskip 10pt%
		\vskip 2pt%
                \sffamily\bfseries\upshape\fontsize{19}{19.5}\selectfont%
		\@xAuthor%
                \vskip 50pt%
                \sffamily\bfseries\upshape\fontsize{17}{13}\selectfont%
		\@@techrepcaption
		%\vskip 2pt%
		\hfill\thereportnumber%
		\vskip 20pt
		\emph{\textsl{Report number and cover will be added by technical editor!}}


                %\@xTitleThree%
		%\vskip2pt%
		%\@address%
                %\vskip 10pt%
        %}
}%


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Document variables

% Document subject title (X-Title-subject)
%\newcommand{\subject}[1]{%
%        \gdef\@xTitleSubject{#1}
%        \ifx\pdftexversion\@undefined\else
%                \pdfstringdef\@pdfsubject{#1}\
%        \fi
%}
\gdef\@xTitleSubject{}

% Document title (X-Title1)
\let\@originaltitle=\title
\renewcommand{\title}[1]{%
        \gdef\@xTitleOne{#1}
	\@originaltitle{#1}
}
\gdef\@xTitleOne{}

% Document subtitle (X-Title2)
%\newcommand{\subtitle}[1]{%
%        \gdef\@xTitleTwo{#1}
%}
\gdef\@xTitleTwo{}

% Document subsubtitle (X-Title3)
%\newcommand{\subsubtitle}[1]{%
%        \gdef\@xTitleThree{#1}
%}
\gdef\@xTitleThree{}


% Document author
\let\@originalauthor=\author
\renewcommand{\author}[1]{%
        \gdef\@xAuthor{#1}
	\@originalauthor{#1}
}
\gdef\@xAuthor{Author}

\AtBeginDocument{%
	\fac3maketitle%
	\@@InitializePageDimensions%
	\pagestyle{headings}
	\special{papersize=210mm,297mm}%
}

\let\@@originalsection=\section
\def\starsection#1#2{%
	\gdef\thelastsection{#2}
	\@@originalsection*#2
}

\def\nostarsection#1{%
	\gdef\thelastsection{#1}
	\@@originalsection{#1}
}

\def\section{%
	\@ifnextchar*{\starsection}{\nostarsection}%
}

\def\clearsection{%
	\def\thelastsection{}
}

\def\definesection#1{%
	\def\thelastsection{#1}
}

\let\thelastsection\relax


%%
%% End of file `itz2004.cls'.
%{
